(function ($, Drupal, window, once) {
  Drupal.behaviors.layout_builder_sections_access = {
    attach: function (context) {

      $(once('layout-builder-sections-access-processed', '.layout-builder__section', context)).each(function () {
        let elem = $(this).find('a.layout-builder__link--configure');
        let text;
        let that = $(this);
        $(this).find('.layout-builder__layout').each(function(){
          if ($(this).data('layout--role-access')) {
            text = elem.text();
            elem.text(text + ' (' + Drupal.t('Role Access') + ')');
            $(that).children('div').css('opacity', '0.3');
          }
          if ($(this).data('layout--disable-section')) {
            text = elem.text();
            elem.text(text + ' (' + Drupal.t('Disabled') + ')');
            $(that).children('div').css('opacity', '0.3');
          }
        });
      });

    }
  };
})(jQuery, Drupal, this, once);